### Function

# Babl conversion_new

#### Declaration [src]

    const Babl*
    babl_conversion_new (
      void* first_arg,
      ...
    )

#### Description [src]

Defines a new conversion between either two formats, two models or two types in babl.

    babl_conversion_new (<BablFormat *source, BablFormat *destination|
                         BablModel  *source, BablModel  *destination|
                         BablType   *source, BablType   *destination>,
                         <"linear"|"planar">, <BablFuncLinear | BablFuncPlanar> conv_func,
                         NULL);.

This function is not directly available to language bindings.

#### Parameters

`first_arg`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.